Skip to content
Bitaloka Docs
AI Summary
AI

AI Summary

Summarize long text with free DeepSeek AI.

Request

POST https://api.bitaloka.io/v1/ai/summary
JSON body→ application/json

Parameters

NameTypeDescription
textrequired text Text to summarize (or send a PDF as multipart "file").Example: Bitaloka menyediakan layanan data untuk Indonesia: parsing NIK, KK, pl…

Code samples

Generated from one source and tested against the live API.

curl -sS -X POST "https://api.bitaloka.io/v1/ai/summary" \
  -H "X-API-Key: $BITALOKA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"text":"Bitaloka menyediakan layanan data untuk Indonesia: parsing NIK, KK, plat nomor, NPWP, kode wilayah, alat PDF, dan ringkasan AI melalui satu API."}' \
  --fail-with-body

Uses: curl 7.x+ · example.sh

Response

Real response from the live API for the example request.

200 OK · application/json
{
  "result": "Bitaloka menyediakan layanan data Indonesia (parsing NIK, KK, plat nomor, NPWP, kode wilayah, alat PDF, dan ringkasan AI) melalui satu API.",
  "model": "beam-free",
  "fallback": true
}

Use from an AI agent

On the Bitaloka MCP server this service is the ai_summarize tool. MCP server →

Related services